create or replace package Performance_Monitor is

  -- Author  : LUCAS_J
  -- Created : 3/11/2006 7:51:56 AM
  -- Purpose : This package is a close observer for Performance Issues in our application. It will respond in an appropriate fashion to notifications of performance loss
  
  procedure performance_loss_observer
  ( p_observable in varchar2 -- the name of the package that sent the event 
  , p_event_type in varchar2  
  , p_event_values in observer_pattern_helper.hashmap
  );

  /* Logger interface:
     p_log_level in varchar2
   , p_log_origin in varchar2
   , p_log_message in varchar2
   */
  procedure set_logger (p_logger in varchar2);
  
end Performance_Monitor;
/
